use ExtUtils::MakeMaker;

our $ascgidir = "";

if (defined $cgidir) { $ascgidir = $cgidir; }

if ($ascgidir eq "") {
  print "You must provide a location for installing the PAPI Authentication\n";
  print "Server software. It must be a directory configured to hold CGI\n";
  print "programs in your Apache installation [/usr/local/apache/cgi-bin]\n";
  my $inval = <STDIN>;
  chop $inval;
  if ($inval eq "") { $ascgidir = "/usr/local/apache/cgi-bin"; }
  else { $ascgidir = $inval; }
  print "The Authentication Server CGI will be in $ascgidir/AuthServer\n";
  print "The configuration file will be $ascgidir/AuthServer.cf\n";
  print "Other data files will be installed under $ascgidir/etc/\n";
}

WriteMakefile(
  'NAME' => 'PAPI::AS',
  'MAN1PODS' => { 'AuthServer.pod' => '$(INST_MAN1DIR)/AuthServer.1' }, 
  'MAN3PODS' => {},
  'EXE_FILES' => [ 'AuthServer', 'AuthServer.cf' ],
  'PREREQ_PM' => {'Crypt::OpenSSL::RSA' => '0',
   		  'Crypt::CBC' => '0',
   		  'Crypt::Rijndael' => '0',
                 },
);

sub MY::constants {
  package MY;
  my $inherited = shift->SUPER::constants(@_);
  $inherited =~ s/INST_SCRIPT[\s]*=[\s]*([\S]+)/INST_SCRIPT = $1\/\.\.\/cgi/gsm;
  $inherited;
}

sub MY::install {
  package MY;
  my $inherited = shift->SUPER::install(@_);
  $inherited =~ s/^(\t+)\$\(INST_SCRIPT\) \$\((DEST)?INSTALLSCRIPT\)/$1\$(INST_CGI) \$(INSTALLCGI)/gsm;
  $inherited;
}

sub MY::installbin {
  package MY;
  my $self = shift;
  my $inherited = $self->SUPER::installbin(@_);
  $inherited = "INST_CGI = ".$self->{INST_SCRIPT}."/../cgi\nINSTALLCGI = $ascgidir\n".$inherited;
  $inherited;
}
